Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455951 - Obsolescent xscreensaver entry back in GNOME menus
Summary: Obsolescent xscreensaver entry back in GNOME menus
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-screensaver
Version: 12
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: jmccann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-19 06:01 UTC by Joachim Frieben
Modified: 2015-01-14 23:21 UTC (History)
6 users (show)

Fixed In Version: gnome-screensaver-2.26.1-2.fc11
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-11-04 15:40:30 UTC


Attachments (Terms of Use)

Description Joachim Frieben 2008-07-19 06:01:49 UTC
Description of problem:
After updating to the latest F9 XScreensaver packages, a related entry
reappears in "System > Preferences > Look & Feel".

Version-Release number of selected component (if applicable):
gnome-screensaver-2.22.1-1.fc9

How reproducible:
Always.

Steps to Reproduce:
1. Update to xscreensaver-5.06-1.fc9
2. Open "System > Preferences > Look & Feel" menu.
  
Actual results:
There are two "Screensavers" entries related to gnome-screensaver and
to xscreensaver respectively.

Expected results:
Only gnome-screensaver preferences should appear.

Additional info:
I had filed bug 300401 about the same issue. The fix involved updating
gnome-screensaver-hide-xscreensaver.menu.

Comment 1 Joachim Frieben 2008-09-30 08:44:03 UTC
The bug is still present in both of current F9 w/updates and the "koji" tree as of 2008-09-27.

Comment 2 Ian Collier 2008-10-09 16:25:11 UTC
Can we at least get one of them renamed so it's possible to tell which is which in the menu next time it un-hides itself?

Comment 3 Joachim Frieben 2008-10-26 08:28:21 UTC
The bug is still present in current "rawhide" including xscreensaver-5.07-2.fc10. Note that the xscreensaver-5.07-2.fc10.x86_64 package is not installed, only the additional packages are.

Comment 4 Joachim Frieben 2009-01-11 18:13:05 UTC
This issue also affects F10 w/updates including xscreensaver-5.08-1.fc10. The global desktop file is part of the base package :

$ rpm -qf /usr/share/applications/xscreensaver-properties.desktop
$ xscreensaver-base-5.08-1.fc10.x86_64

It seems to me that it should rather be part of xscreensaver-5.08-1.fc10.x86_64,
right? Only when installing xscreensaver-5.08-1.fc10.x86_64 as a replacement of g-s-s, this user interface should be exposed in the GNOME menus.

Comment 5 Joachim Frieben 2009-04-29 15:24:42 UTC
Issue still present for current "rawhide" and corresponding package gnome-screensaver-2.26.1-1.fc11. It has also become an issue on <fedora-test-list@redhat.com>:

"Yeah, that's gnome-screensaver versus xscreensaver.  Would be nice if there were a way to suppress one if the other is installed, but I'm not sure the .desktop file format is canny enough to do that.

- ajax"

Reminder: I had filed (resolved) bug 300401 back in 2007 on the same issue. The fix involved updating gnome-screensaver-hide-xscreensaver.menu.

Comment 6 Matthias Clasen 2009-04-29 16:09:08 UTC
Fixed in gnome-screensaver-2.26.1-2.fc11

Comment 7 Joachim Frieben 2009-07-10 09:29:49 UTC
Issue is back in gnome-screensaver-2.27.0-2.fc12.

Comment 8 Joachim Frieben 2009-08-21 05:30:10 UTC
Issue still present for gnome-screensaver-2.27.0-9.fc12.x86_64. Regarding usability, this bug is a real nuisance: there are two screensaver entries in menu "System > Preferences" which is sort of misleading.

Comment 9 Bug Zapper 2009-11-16 08:09:41 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 10 Joachim Frieben 2010-08-27 10:47:40 UTC
Issue still present for gnome-screensaver-2.28.3-1.fc12.x86_64.

Comment 11 Bug Zapper 2010-11-04 11:50:46 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 12 Ian Collier 2010-11-04 14:44:00 UTC
A cursory glance at F13 and F14 indicates that this bug is probably fixed in those releases.


Note You need to log in before you can comment on or make changes to this bug.